Skip to main content
POST
/
api
/
v2
/
perp
/
position
/
margin
POST /api/v2/perp/position/margin — Adjust isolated margin
curl --request POST \
  --url https://api.shuriken.trade/api/v2/perp/position/margin \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "coin": "<string>",
  "walletId": "<string>"
}
'
{
  "data": {
    "success": true,
    "error": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Body

application/json
amount
string
required
coin
string
required
walletId
string
required

Response

Margin update result

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)